Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class QueueTimeField

    java.lang.Object
      weblogic.wtc.jatmi.QueueTimeField

All Implemented Interfaces:
  Serializable

    public final class QueueTimeField

extends Object
implements Serializable

This class contains a time value and whether or not this time value is absolute or relative time.

See Also:
  Serialized Form

Constructor Summary
`QueueTimeField(int aTime, boolean isRelative)` This will construct this object with the given time (in seconds).

Method Summary
`int` | `getTime()` Returns the time associated with this object in seconds
`boolean` | `isRelative()` Returns whether or not the time associated with this object is relative to the current time or is absolute
`String` | `toString()` Returs a string representation of this object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueueTimeField

    public QueueTimeField(int aTime,
                          boolean isRelative)

  This will construct this object with the given time (in seconds). The time value will be interpreted as absolute time or relative time depending on the isRelative parameter

  Parameters:
    `aTime` - The time in seconds an event should occur (dequeue or exiration)
    `isRelative` - If true, the time given is relative to the current time, otherwise the value is to be interpreted as an absolute time

Method Detail

### getTime

    public int getTime()

  Returns the time associated with this object in seconds

  Returns:
    The time associated with this object in seconds

### isRelative

    public boolean isRelative()

  Returns whether or not the time associated with this object is relative to the current time or is absolute

  Returns:
    true if the time is relative, false if the time is absolute

### toString

    public String toString()

  Returs a string representation of this object

  Overrides:
    `toString` in class `Object`
  Returns:
    A string of the form "time:isRelative"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD